Bug 1641370 - [abrt] lollypop: _on_populated(): view.py:272:_on_populated:AttributeError: 'RadioWidget' object has no attribute 'is_populated'
Summary: [abrt] lollypop: _on_populated(): view.py:272:_on_populated:AttributeError: '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d713e752854f8d8e012df4b0cd4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-21 15:54 UTC by Nicolas Berrehouc
Modified: 2018-11-09 05:56 UTC (History)
1 user (show)

Fixed In Version: lollypop-0.9.607-1.fc29 lollypop-0.9.610-1.fc28 lollypop-0.9.610-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 17:30:51 UTC


Attachments (Terms of Use)
File: backtrace (596 bytes, text/plain)
2018-10-21 15:54 UTC, Nicolas Berrehouc
no flags Details
File: cgroup (345 bytes, text/plain)
2018-10-21 15:54 UTC, Nicolas Berrehouc
no flags Details
File: cpuinfo (1.58 KB, text/plain)
2018-10-21 15:54 UTC, Nicolas Berrehouc
no flags Details
File: environ (1.35 KB, text/plain)
2018-10-21 15:54 UTC, Nicolas Berrehouc
no flags Details
File: mountinfo (3.75 KB, text/plain)
2018-10-21 15:54 UTC, Nicolas Berrehouc
no flags Details
File: namespaces (129 bytes, text/plain)
2018-10-21 15:54 UTC, Nicolas Berrehouc
no flags Details
File: open_fds (1.96 KB, text/plain)
2018-10-21 15:54 UTC, Nicolas Berrehouc
no flags Details

Description Nicolas Berrehouc 2018-10-21 15:54:02 UTC
Description of problem:
Crash at start in terminal

(lollypop:30642): Gtk-WARNING **: 17:47:44.590: gtk_widget_size_allocate(): attempt to allocate widget with width -65 and height 34
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/view.py", line 272, in _on_populated
    if not widget.is_populated:
AttributeError: 'RadioWidget' object has no attribute 'is_populated'

Version-Release number of selected component:
lollypop-0.9.605-1.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/lollypop
crash_function: _on_populated
exception_type: AttributeError
executable:     /usr/bin/lollypop
interpreter:    python3-3.7.0-9.fc29.x86_64
kernel:         4.18.15-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
view.py:272:_on_populated:AttributeError: 'RadioWidget' object has no attribute 'is_populated'

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/lollypop/view.py", line 272, in _on_populated
    if not widget.is_populated:
AttributeError: 'RadioWidget' object has no attribute 'is_populated'

Local variables in innermost frame:
self: <view_radios.RadiosView object at 0x7f557c858f78 (lollypop+view_radios+RadiosView at 0x55de5b308b50)>
widget: <widgets_radio.RadioWidget object at 0x7f557c864318 (lollypop+widgets_radio+RadioWidget at 0x55de5ae599e0)>
scroll_value: 0

Comment 1 Nicolas Berrehouc 2018-10-21 15:54:07 UTC
Created attachment 1496184 [details]
File: backtrace

Comment 2 Nicolas Berrehouc 2018-10-21 15:54:08 UTC
Created attachment 1496185 [details]
File: cgroup

Comment 3 Nicolas Berrehouc 2018-10-21 15:54:09 UTC
Created attachment 1496186 [details]
File: cpuinfo

Comment 4 Nicolas Berrehouc 2018-10-21 15:54:11 UTC
Created attachment 1496187 [details]
File: environ

Comment 5 Nicolas Berrehouc 2018-10-21 15:54:12 UTC
Created attachment 1496188 [details]
File: mountinfo

Comment 6 Nicolas Berrehouc 2018-10-21 15:54:14 UTC
Created attachment 1496189 [details]
File: namespaces

Comment 7 Nicolas Berrehouc 2018-10-21 15:54:15 UTC
Created attachment 1496190 [details]
File: open_fds

Comment 8 MartinKG 2018-10-21 17:48:07 UTC
upstream ticket: https://gitlab.gnome.org/World/lollypop/issues/1524

Comment 9 Fedora Update System 2018-10-22 06:59:18 UTC
lollypop-0.9.607-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-87907eb75d

Comment 10 Fedora Update System 2018-10-22 06:59:23 UTC
lollypop-0.9.607-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-305b0885ae

Comment 11 Fedora Update System 2018-10-22 06:59:29 UTC
lollypop-0.9.607-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-21a8777616

Comment 12 Nicolas Berrehouc 2018-10-22 10:55:14 UTC
lollypop-0.9.607-1.fc29.noarch works fine.

Comment 13 Fedora Update System 2018-10-22 19:23:14 UTC
lollypop-0.9.607-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-87907eb75d

Comment 14 Fedora Update System 2018-10-22 23:22:24 UTC
lollypop-0.9.607-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-305b0885ae

Comment 15 Fedora Update System 2018-10-22 23:54:23 UTC
lollypop-0.9.607-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-21a8777616

Comment 16 Fedora Update System 2018-10-25 07:01:53 UTC
lollypop-0.9.608-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-589ab17187

Comment 17 Fedora Update System 2018-10-25 07:02:00 UTC
lollypop-0.9.608-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d0ab6f9d47

Comment 18 Fedora Update System 2018-10-25 13:32:18 UTC
lollypop-0.9.609-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eab02e7e8e

Comment 19 Fedora Update System 2018-10-25 13:32:25 UTC
lollypop-0.9.609-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b7f5dbb2d8

Comment 20 Fedora Update System 2018-10-25 21:17:46 UTC
lollypop-0.9.609-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b7f5dbb2d8

Comment 21 Fedora Update System 2018-10-25 22:35:39 UTC
lollypop-0.9.609-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eab02e7e8e

Comment 22 Fedora Update System 2018-10-29 07:42:03 UTC
lollypop-0.9.610-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b17408dc41

Comment 23 Fedora Update System 2018-10-29 07:42:13 UTC
lollypop-0.9.610-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-00aa724615

Comment 24 Fedora Update System 2018-10-30 17:30:51 UTC
lollypop-0.9.607-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2018-10-31 17:29:57 UTC
lollypop-0.9.610-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-00aa724615

Comment 26 Fedora Update System 2018-10-31 19:45:12 UTC
lollypop-0.9.610-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b17408dc41

Comment 27 Fedora Update System 2018-11-09 05:25:00 UTC
lollypop-0.9.610-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2018-11-09 05:56:16 UTC
lollypop-0.9.610-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.